--
-- This demo includes:
-- * shows how controls that are hidden under certain conditions may still use a DragBar
-- * shows the DragBar being displayed at the bottom of a control instead of at the top
-- * shows how hiding/showing the HUD can be disabled/enabled with DragBar:SetAllowsHUDHiding
--     -- optionally, this can force the HUD to be visible if it isn't already when HUDHiding is disabled.
--

import "Turbine.UI";
import "Turbine.Gameplay";
import "Deusdictum.UI";

DBDemoWindowThree = class( Turbine.UI.Window );

function DBDemoWindowThree:Constructor( )
	Turbine.UI.Window.Constructor( self );

	self:SetSize( 250, 250 );
	self:SetPosition( ( Turbine.UI.Display:GetWidth() - 250 ) / 3, ( Turbine.UI.Display:GetHeight() - 250 ) / 3 );
	math.randomseed( Turbine.Engine.GetLocalTime() );
	self:SetBackColor( Turbine.UI.Color( math.random(), math.random(), math.random() ) );
	self:SetText( "Demo Window" );
	self.DragBar = Deusdictum.UI.DragBar( self, "DragBar Demo Window" );
	self.DragBar:SetBarOnTop( false );
	self.DragBar:SetAllowsHUDHiding( false );

	self.player = Turbine.Gameplay.LocalPlayer();
	self.player.InCombatChanged = function( sender, args )
		self:SetVisible( self.player:IsInCombat() and self.DragBar:IsHUDVisible() );
		self.DragBar:SetAllowsHUDHiding( self.player:IsInCombat(), false );
	end

	self:SetVisible( false );
	self:SetOpacity( math.random() * 3 / 4 + 0.25 );
end
